com.r3corda.demos / IRSDemoRole

# IRSDemoRole

`enum class IRSDemoRole`

Roles. There are 4 modes this demo can be run:

- SetupNodeA/SetupNodeB: Creates and sets up the necessary directories for nodes

- NodeA/NodeB: Starts the nodes themselves

- Trade: Uploads an example trade

- DateChange: Changes the demos date

### Enum Values

SetupNodeA |
SetupNodeB |
NodeA |
NodeB |
Trade |
Date |
Rates |